update-desktop-files-yast POT outdated

classic Classic list List threaded Threaded
11 messages Options
Reply | Threaded
Open this post in threaded view
|

update-desktop-files-yast POT outdated

opensuse.lietuviu.kalba
Hi,

After opening YaST, some modules have names / descriptions that does not
exist for translation, e.g. of Fonts, Kerberos, Snapper (Filesystem
snapshots). Can sameone please re-generate
desktop-file-translations/update-desktop-files-yast POT?

--

Regards

--
To unsubscribe, e-mail: [hidden email]
To contact the owner, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: update-desktop-files-yast POT outdated

Sarah Julia Kriesch
Hi,

there modules exist (perhaps not in every language).
Snapper has the name yast-snapper as an example and fonts yast-fonts.
These are not most important files, because some translation teams are really small and are not able to translate that all.
You can generate them for yourself in your language with a click on "Start a new translation".

https://l10n.opensuse.org/projects/yast-snapper/master/

Regards
Sarah

> Gesendet: Sonntag, 28. April 2019 um 20:21 Uhr
> Von: "opensuse.lietuviu.kalba" <[hidden email]>
> An: [hidden email]
> Betreff: [opensuse-translation] update-desktop-files-yast POT outdated
>
> Hi,
>
> After opening YaST, some modules have names / descriptions that does not
> exist for translation, e.g. of Fonts, Kerberos, Snapper (Filesystem
> snapshots). Can sameone please re-generate
> desktop-file-translations/update-desktop-files-yast POT?
>
> --
>
> Regards
>
> --
> To unsubscribe, e-mail: [hidden email]
> To contact the owner, e-mail: [hidden email]
>
>
--
To unsubscribe, e-mail: [hidden email]
To contact the owner, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: update-desktop-files-yast POT outdated

opensuse.lietuviu.kalba
2019.04.29 08:47, Sarah Julia Kriesch rašė:
> <...> Snapper has the name yast-snapper as an example and fonts yast-fonts <...>


I don't talk about translation of modules itself (e.g. yast-fonts ).
In previous message I wanted to notice situation about YaST desktop
files, that have translation in update-*desktop*-files-yast:
e.g. Lithuanian, French, German, Italian, Spanish, Portuguese, Polish...
contains:
msgctxt "Name(fonts.desktop)"
msgid "Fonts"

But
https://github.com/openSUSE/desktop-file-translations/blob/master/50-pot/update-desktop-files-yast.pot 
contains:
msgctxt "Name(fonts.desktop)"
msgid "System-Wide Fonts"

Thus POT is up-to-date, but update-desktop-files-yast PO files are not
updated. Can someone do mass update?
--
To unsubscribe, e-mail: [hidden email]
To contact the owner, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: update-desktop-files-yast POT outdated

Ludwig Nussel
In reply to this post by opensuse.lietuviu.kalba
opensuse.lietuviu.kalba schrieb:
> After opening YaST, some modules have names / descriptions that does
> not exist for translation, e.g. of Fonts, Kerberos, Snapper
> (Filesystem snapshots). Can sameone please re-generate
> desktop-file-translations/update-desktop-files-yast POT?

Indeed, the last update was from January. I've updated the files and
filed a ticket to remember to refresh this in RC phase next time.

Thanks for the reminder!

cu
Ludwig

--
  (o_   Ludwig Nussel
  //\
  V_/_  http://www.suse.com/
SUSE Linux GmbH, GF: Felix Imendörffer, Mary Higgins, Sri Rasiah,
HRB 21284 (AG Nürnberg)
--
To unsubscribe, e-mail: [hidden email]
To contact the owner, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: update-desktop-files-yast PO outdated

opensuse.lietuviu.kalba
2019.04.29 10:58, Ludwig Nussel rašė:
> Indeed, the last update was from January. I've updated the files and
> filed a ticket to remember to refresh this in RC phase next time.
>
> Thanks for the reminder!
>
> cu
> Ludwig

Thanks, Ludwig!

Initially I thought that POT is outdated, but indeed PO files of
update-desktop-files-yast are outdated compared to POT.

--
To unsubscribe, e-mail: [hidden email]
To contact the owner, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: update-desktop-files-yast POT outdated

Alexander Melentev
In reply to this post by Ludwig Nussel
пн, 29 апр. 2019 г. в 10:59, Ludwig Nussel <[hidden email]>:
> Indeed, the last update was from January. I've updated the files and
> filed a ticket to remember to refresh this in RC phase next time.
>
> Thanks for the reminder!
As for the update-desktop-files*.po, only "-apps", "-kde" and "" parts
were updated for most languages (Zulu has only "-apps" updated). No
update was noticed for "-conflicts", "-directories", "-kde-services",
"mimelnk", "-screensavers" and specifically mentioned "-yast". Looks
like update script has crashed and failed to finish the job :(
"-screensavers" date three months back and all the rest is one year old.
--
Regards, Minton.
--
To unsubscribe, e-mail: [hidden email]
To contact the owner, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: update-desktop-files-yast PO outdated

opensuse.lietuviu.kalba
In reply to this post by opensuse.lietuviu.kalba
2019.04.29 11:11, opensuse.lietuviu.kalba rašė:
>
> Initially I thought that POT is outdated, but indeed PO files of
> update-desktop-files-yast are outdated compared to POT.

Note: It is imposible to update translation file based on newer POT in
Weblate (I tried): Weblate seems to use old PO file (instead of POT) as
reference. I hope openSUSE Weblate admin could update
update-desktop-files-* PO files based on existing POT and I hope we
don't need to commit translation into GIT.

--
To unsubscribe, e-mail: [hidden email]
To contact the owner, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: update-desktop-files-yast PO outdated

Alexander Melentev
пт, 3 мая 2019 г. в 08:46, opensuse.lietuviu.kalba
<[hidden email]>:

>
> 2019.04.29 11:11, opensuse.lietuviu.kalba rašė:
> >
> > Initially I thought that POT is outdated, but indeed PO files of
> > update-desktop-files-yast are outdated compared to POT.
>
> Note: It is imposible to update translation file based on newer POT in
> Weblate (I tried): Weblate seems to use old PO file (instead of POT) as
> reference. I hope openSUSE Weblate admin could update
> update-desktop-files-* PO files based on existing POT and I hope we
> don't need to commit translation into GIT.
>
It seems like git is to "blame" here: Weblate error log says
"Auto-merging sk/update-desktop-files-apps.po
CONFLICT (content): Merge conflict in sk/update-desktop-files-apps.po
Auto-merging lt/update-desktop-files-apps.po
CONFLICT (content): Merge conflict in lt/update-desktop-files-apps.po
Auto-merging fi/update-desktop-files.po
CONFLICT (content): Merge conflict in fi/update-desktop-files.po
Automatic merge failed; fix conflicts and then commit the result. (1)"
and merge conflict is a version control stuff.
It is not the first time such thing is happening, hope Stanislav will
not mind to solve this manually again.
--
Regards, Minton.
--
To unsubscribe, e-mail: [hidden email]
To contact the owner, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: update-desktop-files-yast PO outdated

Ludwig Nussel
Alexander Melentev schrieb:

> пт, 3 мая 2019 г. в 08:46, opensuse.lietuviu.kalba
> <[hidden email]>:
>>
>> 2019.04.29 11:11, opensuse.lietuviu.kalba rašė:
>>>
>>> Initially I thought that POT is outdated, but indeed PO files of
>>> update-desktop-files-yast are outdated compared to POT.
>>
>> Note: It is imposible to update translation file based on newer POT in
>> Weblate (I tried): Weblate seems to use old PO file (instead of POT) as
>> reference. I hope openSUSE Weblate admin could update
>> update-desktop-files-* PO files based on existing POT and I hope we
>> don't need to commit translation into GIT.
>>
> It seems like git is to "blame" here: Weblate error log says
> "Auto-merging sk/update-desktop-files-apps.po
> CONFLICT (content): Merge conflict in sk/update-desktop-files-apps.po
> Auto-merging lt/update-desktop-files-apps.po
> CONFLICT (content): Merge conflict in lt/update-desktop-files-apps.po
> Auto-merging fi/update-desktop-files.po
> CONFLICT (content): Merge conflict in fi/update-desktop-files.po
> Automatic merge failed; fix conflicts and then commit the result. (1)"
> and merge conflict is a version control stuff.
> It is not the first time such thing is happening, hope Stanislav will
> not mind to solve this manually again.

I've merged those conflicts. So translations should work again. Sorry
for the inconvenience. I should remember to ask weblate to flush pending
stuff before calling scripts to update and merge the pot files :-/

cu
Ludwig

--
  (o_   Ludwig Nussel
  //\
  V_/_  http://www.suse.com/
SUSE Linux GmbH, GF: Felix Imendörffer, Mary Higgins, Sri Rasiah,
HRB 21284 (AG Nürnberg)
--
To unsubscribe, e-mail: [hidden email]
To contact the owner, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: update-desktop-files-yast PO outdated

Stanislav Brabec
Dne 03. 05. 19 v 15:31 Ludwig Nussel napsal(a):
> I've merged those conflicts. So translations should work again. Sorry
> for the inconvenience. I should remember to ask weblate to flush pending
> stuff before calling scripts to update and merge the pot files :-/
>
Thanks. By the way, I have dedicated scripts for most problematic repositories, so it is just an issue of one command.

These scripts need some improvements, and the they can be added to the git as a conflict merge algorithm for po files.

--
Best Regards / S pozdravem,

Stanislav Brabec
software developer
---------------------------------------------------------------------
SUSE LINUX, s. r. o.                         e-mail: [hidden email]
Křižíkova 148/34 (Corso IIa)                    tel: +420 284 084 060
186 00 Praha 8-Karlín                          fax:  +420 284 084 001
Czech Republic                                    http://www.suse.cz/
PGP: 830B 40D5 9E05 35D8 5E27 6FA3 717C 209F A04F CD76

desktop-file-translations-conflict-merge.sh (1K) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: update-desktop-files-yast PO outdated

opensuse.lietuviu.kalba
2019.05.03 20:53, Stanislav Brabec rašė:
> Thanks. By the way, I have dedicated scripts for most problematic
> repositories, so it is just an issue of one command.
> These scripts need some improvements, and the they can be added to the git as a conflict merge algorithm for po files.
>

In
https://github.com/openSUSE/desktop-file-translations/commit/479988d71f0fcb29b35340325d829a4e76e8ff45 

I see that among changed files (fi/update-desktop-files.po
lt/update-desktop-files-apps.po sk/update-desktop-files-apps.po )
there is no */update-desktop-files-yast.po

In update-desktop-files-yast.po I see:
"POT-Creation-Date: 2018-03-01 13:19+0000\n"

Can someone please update update-desktop-files-yast.po based on newer POT?

--
To unsubscribe, e-mail: [hidden email]
To contact the owner, e-mail: [hidden email]